FreeMat

- Main Page
- Related Pages

vtkImageCacheFilter

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageCacheFilter keep a number of vtkImageDataObjects from previous updates to satisfy future updates without needing to update the input. It does not change the data at all. It just makes the pipeline more efficient at the expense of using extra memory.

To create an instance of class vtkImageCacheFilter, simply invoke its constructor as follows

      obj = vtkImageCacheFilter

# Methods

The class vtkImageCacheFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageCacheFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageCacheFilter = obj.NewInstance ()`
- `vtkImageCacheFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetCacheSize (int size)` - This is the maximum number of images that can be retained in memory. it defaults to 10.
- `int = obj.GetCacheSize ()` - This is the maximum number of images that can be retained in memory. it defaults to 10.